aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2019-03-25 04:52:58 +0200
committerprspkt <prspkt@protonmail.com>2019-03-25 19:31:51 +0200
commitd10d36564ca463e34ea1b0573cf4cfc6100e881a (patch)
tree95233cfb058e1c0cef77b38438d03576fea9bffe /testing
parentfeafc7b2a1e999753e9a7274fac2fb49a0308b25 (diff)
downloadaports-d10d36564ca463e34ea1b0573cf4cfc6100e881a.tar.bz2
aports-d10d36564ca463e34ea1b0573cf4cfc6100e881a.tar.xz
testing/py3-notifymail: upgrade to python3
Diffstat (limited to 'testing')
-rw-r--r--testing/py3-notifymail/APKBUILD (renamed from testing/py-notifymail/APKBUILD)12
1 files changed, 7 insertions, 5 deletions
diff --git a/testing/py-notifymail/APKBUILD b/testing/py3-notifymail/APKBUILD
index b66f053a83..b924e370fb 100644
--- a/testing/py-notifymail/APKBUILD
+++ b/testing/py3-notifymail/APKBUILD
@@ -1,6 +1,6 @@
# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
-pkgname=py-notifymail
+pkgname=py3-notifymail
_pkgname=notifymail
pkgver=1.1
pkgrel=0
@@ -8,9 +8,11 @@ pkgdesc="A Python module to send emails"
url="https://github.com/davidfstr/notifymail/"
arch="noarch"
license="MIT"
-depends="python2"
+replaces="py-notifymail" # for backwards compatibility
+provides="py-notifymail=$pkgver-r$pkgrel" # for backwards compatibility
+depends="python3"
depends_dev=""
-makedepends="python2-dev py-setuptools"
+makedepends="python3-dev py3-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
@@ -28,12 +30,12 @@ prepare() {
build() {
cd "$_builddir"
- python2 setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
cd "$_builddir"
- python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
sha512sums="f06bf000c0855c852bc4fccfb5da5c625bbabe334640dc6557e6518a5657b61ec2fd546cb92ef63cb66b64c6ce469cfb94da21f844e1c6934cc1339a08fe3f1a notifymail-1.1.tar.gz"